package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 * 
 * @author Adik
 */
@Entity //@Audited
@Table(name = "Anamnesis_T")
public class Anamnesis extends MedicalRecordTransaction {
	
	@ManyToOne
	@JoinColumn(name = "PegawaiFK")
	@NotNull(message="Pegawai Harus Diisi")
	@Caption(value="Pegawai")
	private Pegawai petugas;

	@Column(name = "PegawaiFK", insertable=false,updatable=false,nullable = false)
	private Integer petugasId;
	
	@Column(name = "AnamnesisSuster", nullable = true)
	@Caption(value="AnamnesisSuster ")
	private String anamnesisSuster;
	
	@Column(name = "anamnesisDokter", nullable = true)
	@Caption(value="Anamnesis Dokter")
	private String anamnesisDokter;
	
	@NotNull(message="tglInput Tidak Boleh Kosong")
	@Column(name = "tglInput", nullable = false )
	@Caption(value="Tanggal Input")
	private Date tanggalInput;
	
	@ManyToOne
	@JoinColumn(name = "RuanganFK")
	@NotNull(message="Ruangan Harus Diisi")
	@Caption(value="Ruangan")
	private Ruangan ruangan;

	@Column(name = "RuanganFK", insertable=false,updatable=false,nullable = false)
	private Integer ruanganId;	

	public Pegawai getPetugas() {
		return petugas;
	}

	public void setPetugas(Pegawai petugas) {
		this.petugas = petugas;
	}

	public Integer getPetugasId() {
		return petugasId;
	}

	public void setPetugasId(Integer petugasId) {
		this.petugasId = petugasId;
	}

	public String getAnamnesisSuster() {
		return anamnesisSuster;
	}

	public void setAnamnesisSuster(String anamnesisSuster) {
		this.anamnesisSuster = anamnesisSuster;
	}

	public String getAnamnesisDokter() {
		return anamnesisDokter;
	}

	public void setAnamnesisDokter(String anamnesisDokter) {
		this.anamnesisDokter = anamnesisDokter;
	}

	public Date getTanggalInput() {
		return tanggalInput;
	}

	public void setTanggalInput(Date tanggalInput) {
		this.tanggalInput = tanggalInput;
	}

	public Ruangan getRuangan() {
		return ruangan;
	}

	public void setRuangan(Ruangan ruangan) {
		this.ruangan = ruangan;
	}

	public Integer getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}
	
}

